FLANG

Public Member Functions | List of all members
Fortran::lower::pft::BlockDataUnit Struct Reference
Inheritance diagram for Fortran::lower::pft::BlockDataUnit:

## Public Member Functions
| BlockDataUnit (const parser::BlockData &bd, const ParentVariant &parentVariant)
| BlockDataUnit (BlockDataUnit &&)=default
| BlockDataUnit (const BlockDataUnit &)=delete
Public Member Functions inherited from Fortran::lower::pft::ProgramUnit
template<typename A >
| ProgramUnit (const A &p, const ParentVariant &parentVariant)
| ProgramUnit (ProgramUnit &&)=default
| ProgramUnit (const ProgramUnit &)=delete
Public Member Functions inherited from Fortran::lower::pft::ReferenceVariantBase< isConst, A >
template<typename B >
| ReferenceVariantBase (B &b)
template<typename B >
constexpr BaseType< B > & | get () const
template<typename B >
constexpr BaseType< B > * | getIf () const
template<typename B >
constexpr bool | isA () const
template<typename VISITOR >
constexpr auto | visit (VISITOR &&visitor) const

## Additional Inherited Members
Public Types inherited from Fortran::lower::pft::ReferenceVariantBase< isConst, A >
template<typename B >
using | BaseType = std::conditional_t< isConst, const B, B >
template<typename B >
using | Ref = common::Reference< BaseType< B > >
Public Attributes inherited from Fortran::lower::pft::ProgramUnit
ParentVariant | parentVariant

The documentation for this struct was generated from the following files:

- include/flang/Lower/PFTBuilder.h
- lib/Lower/PFTBuilder.cpp